/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  background: get-color($openk-default-palette);
  border: 1px solid $openk-form-border;
  border-radius: 4px;
  box-sizing: border-box;
  display: flex;
  flex-flow: column;
}

.card-header {
  padding: 0.4em 0.5em 0.4em 1em;
  background: $openk-background-highlight;
  border-bottom: 1px solid $openk-form-border;
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  border-top-right-radius: 4px;
  border-top-left-radius: 4px;
}

.card-header-title {
  font-size: large;
}

.card-body {
  padding: 1em;
  display: flex;
  flex-flow: column;
  overflow: auto;
}
